Name:           python-parallax
Version:        1.0.1
Release:        %mkrel 1
Summary:        Execute commands and copy files over SSH to multiple machines at once
License:        BSD-3-Clause
Group:          Development/Python
Url:            https://github.com/krig/parallax/
Source:         https://pypi.python.org/packages/source/p/parallax/parallax-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       openssh
BuildArch:      noarch
Requires(post): update-alternatives
Requires(postun): update-alternatives

%description
Parallax SSH provides an interface to executing commands on multiple
nodes at once using SSH. It also provides commands for sending and receiving files to
multiple nodes using SCP.

%prep
%setup -q -n parallax-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

# create a dummy target for /etc/alternatives/parallax-askpass
mv %{buildroot}%{_bindir}/parallax-askpass %{buildroot}%{_bindir}/parallax-askpass-%python_version
mkdir -p %{buildroot}%{_sysconfdir}/alternatives
touch %{buildroot}%{_sysconfdir}/alternatives/parallax-askpass
ln -s -f %{_sysconfdir}/alternatives/parallax-askpass %{buildroot}%{_bindir}/parallax-askpass

%post
"%_sbindir/update-alternatives" --install \
   /%{_bindir}/parallax-askpass parallax-askpass %{_bindir}/parallax-askpass-%python_version 20

%postun
if [ "$1" = 0 ] ; then
   "%_sbindir/update-alternatives" --remove parallax-askpass %{_bindir}/parallax-askpass-%python_version
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS README.md COPYING
%{python_sitelib}/parallax
%{python_sitelib}/parallax-%{version}*.egg-info
%{_bindir}/parallax-askpass
%{_bindir}/parallax-askpass-%python_version
%ghost %_sysconfdir/alternatives/parallax-askpass


%changelog
* Tue Mar 07 2017 ennael <ennael> 1.0.1-1.mga6
+ Revision: 1089603
- fix release and group
- imported package python-parallax

